
From: Christoph Hellwig <hch@lst.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/DocBook/mousedrivers.tmpl |    1 -
 25-akpm/Documentation/cdrom/cdrom-standard.tex  |   12 +++++-------
 2 files changed, 5 insertions(+), 8 deletions(-)

diff -puN Documentation/cdrom/cdrom-standard.tex~dont-mention-mod_incdec_use_count-in-documentation Documentation/cdrom/cdrom-standard.tex
--- 25/Documentation/cdrom/cdrom-standard.tex~dont-mention-mod_incdec_use_count-in-documentation	2004-09-06 14:28:04.641499768 -0700
+++ 25-akpm/Documentation/cdrom/cdrom-standard.tex	2004-09-06 14:28:04.648498704 -0700
@@ -360,13 +360,11 @@ up the disc, etc. % and device-use count
 
 \subsection{$Void\ release(struct\ cdrom_device_info * cdi)$}
 
-In case of module support, a single call $MOD_DEC_USE_COUNT$ should be
-coded here.  Possibly other device-specific actions should be taken
-such as spinning down the device. However, strategic actions such as
-ejection of the tray, or unlocking the door, should be left over to
-the general routine $cdrom_release()$. Also, the invalidation of the
-allocated buffers in the VFS is taken care of by the routine in
-\cdromc.  This is the only function returning type $void$. 
+
+Device-specific actions should be taken such as spinning down the device.
+However, strategic actions such as ejection of the tray, or unlocking
+the door, should be left over to the general routine $cdrom_release()$.
+This is the only function returning type $void$.
 
 \subsection{$Int\ drive_status(struct\ cdrom_device_info * cdi, int\ slot_nr)$}
 \label{drive status}
diff -puN Documentation/DocBook/mousedrivers.tmpl~dont-mention-mod_incdec_use_count-in-documentation Documentation/DocBook/mousedrivers.tmpl
--- 25/Documentation/DocBook/mousedrivers.tmpl~dont-mention-mod_incdec_use_count-in-documentation	2004-09-06 14:28:04.643499464 -0700
+++ 25-akpm/Documentation/DocBook/mousedrivers.tmpl	2004-09-06 14:28:04.647498856 -0700
@@ -940,7 +940,6 @@ static int close_mouse(struct inode *ino
         if(--mouse_users)
                 return 0;
         free_irq(OURMOUSE_IRQ, NULL);
-        MOD_DEC_USE_COUNT;
         return 0;
 }
   </programlisting>
_
